$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPI$AGENT.COM
$! Builds the HYPERSPI$AGENT utility for both VAX and AXP systems (separately)
$!
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-95  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ WRITE SYS$OUTPUT "" 
$ WRITE SYS$OUTPUT "Building ""HYPERSPI$AGENT""" +-
                   " for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$!
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ DEFINES = "/DEFINE=(_VMS_V6_SOURCE=1,__VMS_VER=60000000,__CRTL_VER=60000000)"
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPI$AGENT_VAX.OPT/OPTIONS"
$ ELSE
$    CC_OPTIONS = "/STANDARD=VAXC /NODEBUG 'DEFINES' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPI$AGENT_AXP.OPT/OPTIONS"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' HyperSpi$agent
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HT_EXE:HYPERSPI$AGENT.EXE -
     'OBJECT_DIR'HyperSpi$agent, -
     []'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:HYPERSPI$AGENT.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
