$!-----------------------------------------------------------------------------
$! HYPERREADER.COM
$! Wrapper for OSU execution of the HyperReader script.
$! Must reside in the same directory as the HYPERREADER_xxx.EXE executable.
$!
$! 24-APR-1999  MGD  use of CGILIB.C removes need for CGISYM.C
$! 06-AUG-1998  MGD  add SET RMS
$! 01-AUG-1998  MGD  initial
$!-----------------------------------------------------------------------------
$ set noon
$!
$!(uncomment the following line if accessing books via DECnet and FAL)
$! set rms /network_block_count=127
$!
$ archName = f$getsyi("ARCH_NAME")
$ if archName .nes. "VAX" then archName = "AXP"
$ exeDir = f$environment("PROCEDURE")
$ exeDir = f$parse(exeDir,,,"DEVICE") + f$parse(exeDir,,,"DIRECTORY")
$!(if the script complains of an invalid time uncomment the following line)
$! define /nolog HTTPD$GMT "+00:00"
$!
$ HyperReader = "$''exeDir'HyperReader_''archName'"
$ runtimeDir = "/wasd/runtime/"
$ hyperreader$param = -
  "/buttons=""Next;Previous;Close;" +-
  "Help=''runtimeDir'hyperreaderhelp.html;~Off;~On"""
$ HyperReader "''P1'" "''P2'" "''P3'"
$!-----------------------------------------------------------------------------
